---
- name: Install minimal X11 system
  yum:
    name: "{{ item }}" 
    state: latest
  loop:
    - '@base-x'
    - 'xterm'
      
- name: Enable SeLinux
  selinux:
    state: permissive
    policy: targeted

- name: Install Firefox
  yum:
    name: "@Internet Browser" 
    state: latest

- name: Add kiosk user
  user:
    name: kiosk
    home: /opt/kiosk

- name: Kiosk script
  template:
    src: "kiosk.sh.j2"
    dest: "/opt/kiosk/kiosk.sh"
    mode: 644

- name: Kiosk systemd unit
  copy:
    src: kiosk.service
    dest: /etc/systemd/system/kiosk.service

- name: Reload Systemd
  systemd:
    daemon_reload: true

- name: enable kiosk services
  service:
    name: kiosk
    enabled: true
- name: Restart kiosk service
  service:
    name: kiosk
    state: restarted

 

